%bcond_with gtkdoc
%bcond_with tests
%define _disable_ld_as_needed 1

%define oname		gdk_pixbuf
%define pkgname		gdk-pixbuf
%define api_version	2.0
%define binary_version	2.10.0
%define major		0
%define girmajor	2.0

%define libname		%mklibname %{oname} %{api_version} %{major}
%define xlibname	%mklibname %{oname}_xlib %{api_version} %{major}
%define devname		%mklibname %{oname} %{api_version} -d
%define devxlib		%mklibname %{oname}_xlib %{api_version} -d
%define girname		%mklibname %{oname}-gir %{girmajor}

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api_version}
Version:	2.36.11
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gtk.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/2.36/%{pkgname}-%{version}.tar.xz

BuildRequires:	gettext-devel
BuildRequires:	jasper-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(shared-mime-info)
%if %{with tests}
BuildRequires:	x11-server-xvfb
# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu
%endif
%if %{with gtkdoc}
BuildRequires:	gtk-doc >= 0.9
BuildRequires:	sgml-tools
BuildRequires:	texinfo
%endif
Requires:	common-licenses
Conflicts:	gtk+2.0 < 2.21.3
Conflicts:	%{_lib}gdk_pixbuf2.0_0 < 2.24.0-6

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%files -f %{pkgname}.lang
%doc README
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-pixdata
%{_bindir}/gdk-pixbuf-thumbnailer
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*
%{_datadir}/thumbnailers/gdk-pixbuf-thumbnailer.thumbnailer

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	lib%{oname}%{api_version} = %{EVRD}
Requires:	%{name} >= %{EVRD}
Requires(pre,post):	%{name} >= %{EVRD}

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%files -n %{libname}
%{_libdir}/libgdk_pixbuf-%{api_version}.so.%{major}*
%dir %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}/loaders
%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}/loaders/*.so
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}/loaders.cache

%post -n %{libname}
if [ "$1" = "2" ]; then
  if [ -f %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}/loaders.cache ]; then
    rm -f %{_libdir}/%{pkgname}-%{api_version}/%{binary_version}/loaders.cache
  fi
fi
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%triggerin -n %{libname} -- %{_libdir}/gdk-pixbuf-%{api_version}/%{binary_version}/loaders/*.so
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%triggerpostun -n %{libname} -- %{_libdir}/gdk-pixbuf-%{api_version}/%{binary_version}/loaders/*.so
if [ -x %{_bindir}/gdk-pixbuf-query-loaders ]; then
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache
fi

#----------------------------------------------------------------------------

%package -n %{xlibname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries

%description -n %{xlibname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%files -n %{xlibname}
%{_libdir}/libgdk_pixbuf_xlib-%{api_version}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-4
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GdkPixbuf-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	lib%{oname}%{api_version}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires: 	%{name} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Obsoletes:	%{_lib}gdk_pixbuf2.0_0-devel < 2.26

%description -n %{devname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%{_libdir}/libgdk_pixbuf-%{api_version}.so
%{_includedir}/%{pkgname}-%{api_version}/%{pkgname}/
%{_libdir}/pkgconfig/gdk-pixbuf-%{api_version}.pc
%{_datadir}/gir-1.0/GdkPixbuf-%{api_version}.gir
%{_mandir}/man1/gdk-pixbuf-csource.1*

#----------------------------------------------------------------------------

%package -n %{devxlib}
Summary:	Development files for image handling library for GTK+ - Xlib
Group:		Development/GNOME and GTK+
Provides:	lib%{oname}_xlib%{api_version}-devel = %{EVRD}
Requires:	%{xlibname} = %{EVRD}

%description -n %{devxlib}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation Xlib library.

%files -n %{devxlib}
%{_libdir}/libgdk_pixbuf_xlib-%{api_version}.so
%{_includedir}/%{pkgname}-%{api_version}/%{pkgname}-xlib/
%{_libdir}/pkgconfig/gdk-pixbuf-xlib-%{api_version}.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{pkgname}-%{version}
%apply_patches

%build
# fix crash in nautilus (GNOME bug #596977)
export CFLAGS=`echo %{optflags} | sed -e 's/-fomit-frame-pointer//g'`

#CONFIGURE_TOP=..
#export CPPFLAGS="-DGTK_COMPILATION"

autoreconf -f -i
%configure2_5x \
	--with-libjasper \
	--with-x11 \
	--with-included-loaders=png \
%if %{without gtkdoc}
	--enable-gtk-doc=no
%endif

%make

%install
%makeinstall_std RUN_QUERY_LOADER_TEST=false

touch %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}/loaders.cache

# handle biarch packages
progs="gdk-pixbuf-query-loaders"
mkdir -p %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/bin
for f in $progs; do
  mv -f %{buildroot}%{_bindir}/$f %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/bin/
  cat > %{buildroot}%{_bindir}/$f << EOF
#!/bin/sh
lib=%{_lib}
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/%{pkgname}-%{api_version}/bin/$f \${1+"\$@"}
EOF
  chmod +x %{buildroot}%{_bindir}/$f
done

%find_lang %{pkgname}

%if %{with tests}
%check
xvfb-run make check
%endif


%changelog

* Mon Jan 22 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.36.11-1
- (2666f3c) New version 2.36.11

* Thu Aug 31 2017 tremod <negry.m@yandex.ru> 2.36.9-1
- (723ab81) Update to 2.36.9

* Fri Feb 24 2017 tremod <negry.m@yandex.ru> 2.36.5-1
- (d1a40a4) Update to 2.36.5

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.36.4-2
- (a1bf7ee) MassBuild#1230: Increase release tag

* Fri Jan 27 2017 tremod <negry.m@yandex.ru> 2.36.4-1
- (12f7d76) Update to 2.36.4

* Mon Jan 16 2017 tremod <negry.m@yandex.ru> 2.36.3-1
- (b21d0fe) Update files
- (tremod: 8b56cb7) Update to 2.36.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.36.0-2
- (b9484d2) MassBuild#1169: Increase release tag

* Thu Sep 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.36.0-1
- (7d045ad) Use configure2_5x macro
- (Andrey Bondrov: 4d19bec) New version 2.36.0
- (Andrey Bondrov: 4d19bec) Drop merged patch
- (Andrey Bondrov: 4d19bec) Spec cleanup

* Thu Dec 17 2015 Tigro <ashejn@gmail.com> 2.31.4-2
- (2632266) update to 2.31.4
- (Tigro: 119ffa0) bump release

* Mon Aug 17 2015 Tigro <ashejn@gmail.com> 2.30.8-11
- (e621855) bump release

* Mon Aug 17 2015 Tigro <ashejn@gmail.com> 2.30.8-8
- (d8ef1a8) fix https://bugzilla.gnome.org/show_bug.cgi?id=752297

* Mon Aug 17 2015 Tigro <ashejn@gmail.com> 2.31.4-1
- (77778ac) fix https://bugzilla.gnome.org/show_bug.cgi?id=752297
- (Tigro: 5be83ba) update to 2.31.4

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 2.31.3-5
- (a759fad) more requires

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 2.31.3-4
- (7b383fd) added R: %{name} = %{version}-%{release} for gir

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 2.30.8-10
- (f5fb1b3) added more Requires and Conflicts

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 2.31.3-4
- (a0eace7) move scripts to lib package

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 2.30.8-10
- (6e49036) move post scripts to lib package

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 2.30.8-9
- (7ac956b) move libs and loaders to library package to use with 32bit programs

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 2.31.3-3
- (e119e7f) move libs and loaders to library package to use with 32bit programs

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 2.31.3-2
- (7e9a090) bump release

* Sun Mar 08 2015 Tigro <ashejn@gmail.com> 2.31.3-1
- (6bb3bb1) update to 2.31.3

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2.30.8-8
- (c7f5c7b) MassBuild#656: Increase release tag

* Sun Feb 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.30.8-7
- (af6777e) Bump release

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.30.8-3
- (ab4af97) MassBuild#440: Increase release tag

* Tue Jun 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.30.8-2
- (29772d8) Rebuild against libpng 1.6

* Tue May 27 2014 Tigro <ashejn@gmail.com> 2.30.8-1
- (9167ff7) update to 2.30.8

* Mon Apr 14 2014 Tigro <ashejn@gmail.com> 2.30.7-1
- (69052a1) update to 2.30.7

* Fri Aug 02 2013 Tigro <ashejn@gmail.com> 2.28.2-2
- (d4c9219) build with --with-included-loaders=png

* Thu Jun 20 2013 root <root@localhost.localdomain> 2.28.2-1
- (b4e86ff) sync to gnome38 branch

* Sat Nov 17 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.26.5-1
- (0161cf9) LOG New bugfix version 2.26.5

* Fri Sep 21 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.26.4-1
- (846c517) LOG New version 2.26.4

* Mon Sep 03 2012 Alexander Khryukin <alexander@mezon.ru> 2.26.3-1
- (1ffda2d) version update 2.26.3

* Tue Aug 07 2012 Rosa <rosa@rosa-build.rosalab.ru> 2.26.2-1
- (7449717) Automatic import for version 2.26.2

* Sat Aug 04 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.26.1-3
- (2323151) LOG Drop .la files

* Fri Jul 20 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.26.1-2
- (ec76350) More work on .la files
- (Andrey Bondrov: 07dd609) Restore .la files

* Wed Jul 18 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 2.26.1-1
- (18dd5a0) fix BR
- (Dmitry Mikhirev: 2535649) use %EVRD macro


